Bug 711170 - pam_ssh: privileges not dropped properly before executing ssh-agent
pam_ssh: privileges not dropped properly before executing ssh-agent
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110606,repor...
: Security
Depends On: 711171 711172
Blocks: 734540
  Show dependency treegraph
 
Reported: 2011-06-06 13:43 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 15:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-06 13:43:43 EDT
It was found that pam_ssh, PAM module for use with SSH keys and ssh-agent,
did not properly drop root SGID privileges prior executing the ssh-agent
authentication agent. A local attacker could use this flaw to potentially
escalate their privileges.

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=665061

Proposed patch:
[2] https://bugzilla.novell.com/show_bug.cgi?id=665061#c3

CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/06/06/3
Comment 1 Jan Lieskovsky 2011-06-06 13:46:04 EDT
This issue affects the versions of the pam_ssh package, as present within
EPEL-4 and EPEL-5 repositories.

--

This issue affects the versions of the pam_ssh package, as shipped with
Fedora release of 13, 14, and 15. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-06-06 13:46:58 EDT
Created pam_ssh tracking bugs for this issue

Affects: epel-all [bug 711171]
Affects: fedora-all [bug 711172]

Note You need to log in before you can comment on or make changes to this bug.